<?php class F63a6751f extends Fbb5cd7ac { function __construct( $Vd77d5e50, $Vb4a88417 ) { parent::__construct( $Vd77d5e50, $Vb4a88417 );
} function Faa2d6e4f() { if ( @mysql_free_result( $this->Fe1260894() ) ) { $this->Ve1260894= null;
return true; } return false; } function Ff7bd60b7() { return $this->Fe1260894() ? @mysql_num_rows( $this->Fe1260894() ) : 0;
} function Fd5cebb24() { return $this->Fd77d5e50() && $this->Fce74825b() ? @mysql_affected_rows( $this->F29a81e1a() ) : 0;
} function F5374034a( $V6a992d55 ) { if ( $V6a992d55 < 0 || $V6a992d55 >= $this->Ff7bd60b7() ) {
 return false; } if ( $this->V7d0db380=== $V6a992d55 ) { return true; } if ( @mysql_data_seek( $this->Fe1260894(), $V6a992d55 ) ) {
 $this->V7d0db380= $V6a992d55; return true; } return false; } function Fde17f0f2( $V599dcce2 = C82dea639 ) {
 if ( @mysql_data_seek( $this->Fe1260894(), $this->V7d0db380) ) { return @mysql_fetch_array( $this->Fe1260894(), $V599dcce2 == Ccaf44cdd ? MYSQL_ASSOC : MYSQL_NUM );
} return false; } function F6e52c40b( $V599dcce2 = C82dea639 ) { if ( !$this->Fe1260894() ) { return false;
} $V10ae9fc7 = array(); if ( $this->Ff7bd60b7() == 0 ) { return $V10ae9fc7; } if ( @mysql_data_seek( $this->Fe1260894(), 0 ) ) {
 while ( ( $Vf1965a85 = @mysql_fetch_array( $this->Fe1260894(), $V599dcce2 == Ccaf44cdd ? MYSQL_ASSOC : MYSQL_NUM ) ) ) {
 $V10ae9fc7[] = $Vf1965a85; } } else { return false; } return $V10ae9fc7; } } ?>